Bug 485222 - Upgrade NetworkManager-openvpn to work with NetworkManager-0.7.0-3.el5
Upgrade NetworkManager-openvpn to work with NetworkManager-0.7.0-3.el5
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 09:01 EST by Alexander Todorov
Modified: 2009-05-08 03:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 03:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-02-12 09:01:54 EST
Description of problem:

# yum install  NetworkManager-openvpn
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package NetworkManager-openvpn.i386 0:0.3.2-7.el5.2 set to be updated
--> Processing Dependency: openvpn >= 2.1 for package: NetworkManager-openvpn
--> Running transaction check
---> Package openvpn.i386 0:2.1-0.29.rc15.el5 set to be updated
--> Processing Dependency: liblzo2.so.2 for package: openvpn
--> Running transaction check
---> Package lzo.i386 0:2.02-2.el5.1 set to be updated
--> Processing Conflict: NetworkManager conflicts NetworkManager-openvpn < 1:0.7.0-18
--> Finished Dependency Resolution
1:NetworkManager-0.7.0-3.el5.i386 from installed has depsolving problems
  --> NetworkManager conflicts with NetworkManager-openvpn
Error: NetworkManager conflicts with NetworkManager-openvpn

Version-Release number of selected component (if applicable):
NetworkManager-openvpn.i386 0:0.3.2-7.el5.2
NetworkManager-0.7.0-3.el5

How reproducible:
Always

Steps to Reproduce:
1. Configure EPEL on RHEL5.3 box
2. Try to install NetworkManager-openvpn
  
Actual results:
rpm transaction fails

Expected results:
package is installed.

Additional info:
EPEL doesn't provide newer version of the package which works with newer versions of NM.
Comment 1 Lubomir Rintel 2009-02-12 09:09:17 EST
(In reply to comment #0)
> Additional info:
> EPEL doesn't provide newer version of the package which works with newer
> versions of NM.

In fact it does. It (NetworkManager-pptp-0.7.0-2.svn16.el5) is still in -testing repository though. Please try:

"yum --enablerepo=epel-testing install NetworkManager-openvpn"

It only hit testing today, though it has been built for some days now, so in case it's not on your mirror yet you can download it from here:

http://download.fedora.redhat.com/pub/epel/testing/5Server/
Comment 2 Lubomir Rintel 2009-05-08 03:00:00 EDT
Thanks for your feedback, Alexander.
Closing.

Note You need to log in before you can comment on or make changes to this bug.